[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TParam.AsWord

Get/Set parameter value as a word value

## Declaration

Source position: db.pas line 1199

`public property TParam.AsWord : LongInt read GetAsInteger write SetAsWord;`

## Description

AsWord will return the parameter value as an integer. If it is written, the value is set to the specified value and the data type is set to ftWord.

## See also

TParam.AsInteger |  | Get/Set parameter value as an integer (32-bit) value
TParam.AsLargeInt |  | Get/Set parameter value as a 64-bit integer value
TParam.AsSmallint |  | Get/Set parameter value as a smallint value
TParam.DataType |  | Data type of the parameter
TParam.Value |  | Value as a variant

Documentation generated on: Feb 26 2014